require 'dotenv'
require 'logger'

Dotenv.load(File.expand_path('../.env'))

DB =
  Sequel.connect(
    adapter: :postgres,
    database: ENV['DB_DATABASE'],
    user: ENV['DB_USERNAME'],
    password: ENV['DB_PASSWORD'],
    logger: ENV['APP_ENV'] == 'development' ? Logger.new('db/log') : nil
  )
