require 'net/http'

module Fetch
  def self.page(page_number, cookie)
    url = URI("http://board.vivalavinyl.com/thread/list/#{page_number}")
    http = Net::HTTP.new(url.host, url.port)
    request = Net::HTTP::Get.new(url)
    request['cookie'] = cookie
    response = http.request(request)
    Nokogiri.HTML(response.body)
  end

  def self.thread(thread, cookie)
    url =
      URI(
        "http://board.vivalavinyl.com/thread/view/#{thread[:remote_id]}&ajax=true"
      )
    http = Net::HTTP.new(url.host, url.port)
    request = Net::HTTP::Get.new(url)
    request['cookie'] = cookie
    response = http.request(request)
    Nokogiri.HTML(response.body)
  end
end
